<?php
/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
namespace Ram\Request\V20150501;

class SetDefaultPolicyVersionRequest extends \RpcAcsRequest
{
	function  __construct()
	{
		parent::__construct("Ram", "2015-05-01", "SetDefaultPolicyVersion");
		$this->setProtocol("https");
	}

	private  $policyName;

	private  $versionId;

	public function getPolicyName() {
		return $this->policyName;
	}

	public function setPolicyName($policyName) {
		$this->policyName = $policyName;
		$this->queryParameters["PolicyName"]=$policyName;
	}

	public function getVersionId() {
		return $this->versionId;
	}

	public function setVersionId($versionId) {
		$this->versionId = $versionId;
		$this->queryParameters["VersionId"]=$versionId;
	}
	
}